Bug 200290 - compiz is not integrated into GNOME's keyboard shortcuts
compiz is not integrated into GNOME's keyboard shortcuts
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
: 201632 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-07-26 13:56 EDT by Bastien Nocera
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-27 15:11:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-07-26 13:56:21 EDT

1. Launch the keyboard shortcuts capplet
2. Change the "screenshot" shortcut to something like "Alt+F7"
3. Press "Alt+F7"
4. Funny things happens

compiz uses /apps/compiz/general/allscreens/options/run_command_screenshot to
set which key should be pressed, whereas the control-center changes

There's also no way to set shortcuts for things like "Switch to workspace to the

- All the actions in compiz should be set to the same defaults as metacity
- All the actions that are not possible with metacity (like the Ctrl+Alt+Left
click to move the "cube") should be disabled by default
- All the actions that duplicate other GNOME software should be disabled (like
the screenshot shortcut that's taken care of by the gnome-panel)
- Actions that make sense should be available in gnome-keybindings-properties,
in just the same way metacity is integrated
Comment 1 Bastien Nocera 2006-07-31 17:24:27 EDT
Moving all the compiz bugs to rawhide
Comment 2 Søren Sandmann Pedersen 2006-09-26 18:33:34 EDT
control-center-2.16.0-6.fc6 will support more keybindings when compiz is running.
Comment 3 Søren Sandmann Pedersen 2006-09-27 15:11:43 EDT
I think this bug can be considered fixed with this update - most useful stuff
should now be available in the keybindings applet when compiz is running.
Comment 4 Søren Sandmann Pedersen 2006-09-27 16:32:26 EDT
*** Bug 201632 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.